EUCA-UPLOAD-BUNDLE(1)

NAME
euca-upload-bundle - Upload a bundle prepared by euca-bundle-image to the cloud

SYNOPSIS
euca-upload-bundle -m FILE [-d DIR] [--skipmanifest] -b BUCKET[/PREFIX]

[--acl {public-read,aws-exec-read,ec2-bundle-read}]
    [--upload-policy POLICY | --upload-policy-file FILE] [--upload-policy-signature SIGNATURE] [--location LOCATION] [--retry] [--progress | --no-progress] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Upload a bundle prepared by euca-bundle-image to the cloud

  optional arguments:

-m FILE, --manifest FILE
    manifest for the bundle to upload (required)

-d DIR, --directory DIR
    directory that contains the bundle parts (default: directory that contains the manifest)

--skipmanifest
    do not upload the manifest

-b BUCKET[/PREFIX], --bucket BUCKET[/PREFIX]
    bucket to upload the bundle to (required)

--acl {public-read,aws-exec-read,ec2-bundle-read}
    canned ACL policy to apply to the bundle (default: aws-exec-read)

--upload-policy POLICY
    upload policy to use for authorization

--upload-policy-file FILE
    file containing an upload policy to use for authorization

--upload-policy-signature SIGNATURE
    signature for the upload policy (required when an 'upload policy is used)

--location LOCATION
    location constraint of the destination bucket (default: inferred from s3-location-constraint in configuration, or otherwise none)

--retry
    retry failed uploads up to 5 times

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

-U URL, --url URL
    object storage service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit